[SCM] Debian Live build scripts branch, master, updated. 1.0.2-4-2-gbc82584

Daniel Baumann daniel at debian.org
Wed Jan 14 19:38:05 UTC 2009


The following commit has been merged in the master branch:
commit bc825846d4fec6b29c44cedb35531cc8da97bd5f
Author: Daniel Baumann <daniel at debian.org>
Date:   Wed Jan 14 20:30:21 2009 +0100

    Adding check for currently not supported bootloader/image-type combinations.

diff --git a/functions/defaults.sh b/functions/defaults.sh
index 71769cf..9f6d1ab 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -821,4 +821,17 @@ Check_defaults ()
 				;;
 		esac
 	fi
+
+	if [ "${LH_BINARY_IMAGES}" = "usb-hdd" ]
+	then
+		# grub or yaboot + usb-hdd
+		case "${LH_BOOTLOADER}" in
+			grub|yaboot)
+				Echo_warning "You have selected a combination of bootloader and image type that is currently"
+				Echo_warning "not supported by live-helper. Please use either another bootloader or a"
+				Echo_warning "different image type."
+				exit 1
+				;;
+		esac
+	fi
 }

-- 
Debian Live build scripts



More information about the debian-live-changes mailing list